Add `-fplugin-trustworthy` to avoid marking modules as unsafe

Authored by watashi on Jan 31 2019, 12:13 AM.

Description

Add -fplugin-trustworthy to avoid marking modules as unsafe

By default, when a module is compiled with plugins, it will be marked as
unsafe. With this flag passed, all plugins are treated as trustworthy
and the safety inference will no longer be affected.

This fixes Trac Trac #16260.

Details

Committed
Marge Bot <ben+marge-bot@smart-cactus.org>Feb 4 2019, 10:04 AM
Parents
rGHCef25b59a97f4: gitlab-ci: Don't allow x86_64-linux-deb9-llvm to fail
Branches
Unknown
Tags
Unknown